<?php

namespace App\Classes\Modules\ServiceTypes\Services;

use App\Classes\General\Eloquent\AbstractUpdateRecord;
use App\Classes\Modules\ServiceTypes\DataTransferObjects\ServiceTypeObject;
use App\Models\ServiceType;

class CreatesServiceType extends AbstractUpdateRecord
{

    public function execute(ServiceTypeObject $object) {
        $model = new ServiceType();
        $model->name = $object->getName();

        return $this->handler($model);

    }
}